On this page
No Headings
Last updated: July 2, 2026
The Payouts API enables you to send payouts programmatically to your recipients. This page explains everything you need to know about making payouts using the Payouts API.
When you initiate a payouts request, the Payouts API:
The sample request below creates a payout in USD for three recipients: two PayPal recipients and one Venmo recipient using the API endpoint Create batch payout.
curl -v -X POST https://api-m.sandbox.paypal.com/v1/payments/payouts \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <Access-Token>" \
-d '{
"sender_batch_header": {
"sender_batch_id": "2014021801",
"recipient_type": "EMAIL",
"email_subject": "You have money!",
"email_message": "You received a payment. Thanks for using our service!"
},
"items": [
{
"amount": {
"value": "9.87",
"currency": "USD"
},
"sender_item_id": "201403140001",
"recipient_wallet": "PAYPAL",
"receiver": "<[email protected]>"
},
{
"amount": {
"value": "112.34",
"currency": "USD"
},
"sender_item_id": "201403140002",
"recipient_wallet": "PAYPAL",
"receiver": "<[email protected]>"
},
{
"recipient_type": "PHONE",
"amount": {
"value": "5.32",
"currency": "USD"
},
"note": "Thanks for using our service!",
"sender_item_id": "201403140003",
"recipient_wallet": "PAYPAL",
"receiver": "<408-234-1234>"
}
]
}'Copy the code sample above and modify the following values:
Access-Token to your access token.<[email protected]> and <[email protected]> to sandbox account email addresses.<408-234-1234> to a sandbox account phone number.recipient_wallet to VENMO. Include a U.S. mobile number and a note in the payout item.currency parameter to the payment's currency code. You'll need to make a separate API call for each currency type. PayPal can automatically exchange payments for some currencies, even when you don't hold a balance in that currency.Note: Payout items default to the recipient_type in the sender_batch_header, unless an item has its own recipient_type. If there's no recipient_type in the sender_batch_header, each item must include its own recipient_type.
A successful request returns:
201 Created.payout_batch_id. Use the payout_batch_id in the show payout batch details endpoint to get a detailed record of each item in the payout.Tip: You can log into your PayPal business account and see payout details on the Activity and Reports pages.
{
"batch_header": {
"payout_batch_id": "Y4JB5BNLE8Z88",
"batch_status": "PENDING",
"sender_batch_header": {
"sender_batch_id": "2014021801",
"recipient_type": "EMAIL",
"email_subject": "You have money!",
"email_message": "You received a payment. Thanks for using our service!"
}
},
"links": [{
"href": "https://api-m.sandbox.paypal.com/v1/payments/payouts/Y4JB5BNLE8Z88",
"rel": "self",
"method": "GET",
"encType": "application/json"
}]
}For information on Payouts API error messages, see Payouts Error Messages.